<!--
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-04-13 16:15:31
 * @LastEditors: 无尘
 * @LastEditTime: 2020-04-13 17:04:45
 -->
<!--
  <set-tip :tipText="tipText"></set-tip>
  import setTip from '@/components/app/set-tip.vue';
 -->
<template>
  <div class="set-tip-body flex flex-align-center border-box" v-if="setTipShow">
    <span class=" font-13 el-icon-info color-2f54eb"></span><span class="m-l-10 font-13 color-606266">{{ tipText }}</span
    ><el-button class="m-l-10" type="text" @click="toClose">忽略</el-button><el-button class="m-l-10" type="text" @click="toSet">去完成</el-button>
  </div>
</template>
<script>
export default {
  name: 'set-tip',
  props: {
    tipText: {
      type: String,
      default() {
        return '';
      }
    }
  },
  data() {
    return {
      setTipShow: true
    };
  },
  methods: {
    toClose() {
      const that = this;
      that.setTipShow = false;
    },
    toSet() {
      const that = this;
      if (that.$route.path.includes('enterpriseSet')) {
        return false;
      }
      that.$router.push('enterpriseSet?/adminList');
    }
  }
};
</script>
<style lang="less" scoped>
.set-tip-body {
  width: 412px;
  height: 32px;
  background: rgba(240, 245, 255, 1);
  border-radius: 2px;
  border: 1px solid rgba(133, 165, 255, 1);
  padding: 0 17px;

  .font-13 {
    font-size: 13px;
  }
}
</style>
